tbb::interface6::aggregator_ext< handler_type > Class Template Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
tbb::interface6::aggregator_ext< handler_type > Class Template Reference

Aggregator base class and expert interface. More...

`#include <aggregator.h>`

Inheritance diagram for tbb::interface6::aggregator_ext< handler_type >:

## Public Member Functions
| aggregator_ext (const handler_type &h)
void | process (aggregator_operation *op)
| EXPERT INTERFACE: Enter a user-made operation into the aggregator's mailbox. More...

## Protected Member Functions
void | execute_impl (aggregator_operation &op)

## Detailed Description

### template<typename handler_type>
class tbb::interface6::aggregator_ext< handler_type >

Aggregator base class and expert interface.

An aggregator for collecting operations coming from multiple sources and executing them serially on a single thread.

## Member Function Documentation

template<typename handler_type>

void tbb::interface6::aggregator_ext< handler_type >::execute_impl | ( | aggregator_operation & | op) |  |
| inlineprotected

Place operation in mailbox, then either handle mailbox or wait for the operation to be completed by a different thread.

template<typename handler_type>

void tbb::interface6::aggregator_ext< handler_type >::process | ( | aggregator_operation * | op) |  |
| inline

EXPERT INTERFACE: Enter a user-made operation into the aggregator's mailbox.

Details of user-made operations must be handled by user-provided handler

The documentation for this class was generated from the following file:

- aggregator.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.